Bug 1382695 - [RFE 7.4] support for virtio-vsock - glibc
Summary: [RFE 7.4] support for virtio-vsock - glibc
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.3
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: 7.4
Assignee: glibc team
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On: 1291282
Blocks: 1291286 1294880 1299988 1363787 1378137 1518996 1291284 1291851 1294879 1294884 1315822 RHV4.1PPC 1415819 1518995 1518997
TreeView+ depends on / blocked
 
Reported: 2016-10-07 12:43 UTC by Ademar Reis
Modified: 2017-11-29 22:37 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1291282
Environment:
Last Closed: 2017-01-27 14:11:47 UTC


Attachments (Terms of Use)

Description Ademar Reis 2016-10-07 12:43:32 UTC
Description of problem:

We now have virtio-vsock support in QEMU/KVM, which implements a host/guest communication device, allowing applications from guest and host to communicate without the need of a network. It implements the POSIX Sockets API and supports both SOCK_STREAM and SOCK_DGRAM. VSOCK itself has been available in the linux kernel since 3.9.

We're trying to push glibc patches upstream to add AF_VSOCK support to getnameinfo(3) and getaddrinfo(3): https://sourceware.org/ml/libc-alpha/2016-09/msg00580.html

For virtio-vsock support in QEMU/kernel, see bug 1291282 and bug 1291284.

The primary use-case for this feature is Virt-FS, where we export a NFS mount to the guest without needing to setup a TCP/IP network. For NFS BZs, see bug 1291286 and bug 1294880.

It's also going to be required by Ceph in OpenStack, see bug 1363787.

+++ This bug was initially created as a clone of Bug #1291282 +++

Comment 1 Carlos O'Donell 2016-10-07 14:28:20 UTC
Just to be clear, these changes need to land upstream before they can be considered acceptable in RHEL7.

I encourage everyone to continue the upstream discussion to reach consensus on a solution.

Comment 2 Stefan Hajnoczi 2017-01-27 14:11:47 UTC
I am not pursuing this further.  After adding AF_VSOCK support to qemu-guest-agent, systemd, and nfs-utils without getaddrinfo(3) there is no immediate need for this change.


Note You need to log in before you can comment on or make changes to this bug.